<?
 /*SCRIPT PARA MANTENIMIENTO DE CURSOS IMPARTIDOS POR CATEDRATICO    */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":

   $error=false;
   for($i=0;$i<$maximo;$i++){
     if(!empty($idcu[$i])){
      $idse=$ids[$i];
      $idcatedratico=base64_decode($idc);
      $idgrado=$idg[$i];
      $idcurso=$idcu[$i];

      $qver=mysql_query("select * from cursos_catedraticos where seccion = '$idse' and curso ='$idcurso' and grado= '$idgrado' and catedratico = '$idcatedratico'");
       if(mysql_num_rows($qver)==0){
                $sql="insert into
                      cursos_catedraticos
                      set seccion='$idse',
                      catedratico='$idcatedratico',
                      grado = '$idgrado',
                      curso='$idcurso'";
         $ins=mysql_query($sql);
         if(!$ins){$error=true;}
       }
     }
   }
   if($error){
     alert("ERROR: Verifique los cursos agregados\\nes posible que no todos hayan sido guardados","frm_cursos_x_catedratico_v2.php?idc=$idc");
   }else{
     header("Location: frm_cursos_x_catedratico_v2.php?idc=$idc");
   }
   break;

   case "Del":
    $idcatedratico=base64_decode($idc);
    $idcurso=base64_decode($idcu);
    $idgrado=base64_decode($idg);

                $sql="delete from cursos_catedraticos
                      where curso = '$idcurso'
                      and catedratico= '$idcatedratico'
                      and grado = '$idgrado'
                      and seccion = '$ids'";
//                 echo $sql;
                 $qupd=mysql_query($sql);
                 header("Location: ./frm_cursos_x_catedratico_v2.php?idc=$idc");
//                 if($qupd){alert("Grado: $txtgrado\\nactualizado con éxito","frm_grado.php?sid=$sid");}else{echo "ERROR: ".mysql_error();}
   break;

   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>
